Description

When the the system has dash installed and used as the default shell the postinst fails with an exit status 2.  What appears to be the

culprit is the dbmigrate script choking on POSIX compliance.

The particular segment causing an issue is 'USERNAME=$(/usr/bin/id -un)', it responds that the '(' is unexpected and it is expecting a

'{'

A quick fix could be to change #!/bin/sh to #!/bin/bash, however this is likely to cause breakage.

History

#1 - 05/18/2012 09:49 AM - Steve Buzonas

Haven't tested my suggested possible solutions because I changed /bin/sh symlink from dash to bash and am now given an exit status of 1 which I

am working on.

I marked this as DB migrations opposed to Package installers due to the fact that the dbmigrate script is causing the installer to fail where it would

pass otherwise.

#2 - 05/22/2012 03:11 AM - Ohad Levy

- Assignee set to Greg Sutcliffe

- Difficulty set to trivial

#3 - 05/22/2012 03:11 AM - Ohad Levy

- Target version set to 1.0

#4 - 06/21/2012 03:09 AM - Ohad Levy

- Target version deleted (1.0)

as this is not a release related, moving it away from here.

#5 - 06/21/2012 06:41 AM - Greg Sutcliffe

When we release 1.0, I hope the new packages will make this go away :)

#6 - 01/15/2013 08:44 AM - Greg Sutcliffe

- Status changed from New to Feedback

I'm hoping you haven't hit any such problems with the 1.0 packages, or even the 1.1 RCs. I'll close this at 1.1 release if there's no further comment :)

#7 - 05/09/2013 06:42 AM - Greg Sutcliffe

- Status changed from Feedback to Closed

Closing as discussed in previosu comment.
